org.deidentifier.arx.gui.view.impl

## Class MainMenuGroup

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.MainMenuItem
  - - org.deidentifier.arx.gui.view.impl.MainMenuGroup

    public abstract class MainMenuGroup
    extends MainMenuItem

This abstract class implements a menu group

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`MainMenuGroup(java.lang.String label, java.util.List<MainMenuItem> items)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `action(Controller controller)` Override this to perform the action
`java.util.List<MainMenuItem>` `getItems()` Returns all children

### Methods inherited from class org.deidentifier.arx.gui.view.impl.MainMenuItem

`getImage, getLabel, isButton, isEnabled`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MainMenuGroup

    public MainMenuGroup(java.lang.String label,
                         java.util.List<MainMenuItem> items)

Creates a new instance

Parameters:
  `label` -
  `items` -

### Method Detail

#### action

    public void action(Controller controller)

Description copied from class: `MainMenuItem`
Override this to perform the action

Specified by:
  `action` in class `MainMenuItem`

#### getItems

    public java.util.List<MainMenuItem> getItems()

Returns all children

Returns: